Package org.apache.felix.http.base.internal.runtime.dto

## Class BuilderConstants

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.BuilderConstants

    public abstract class BuilderConstants
    extends Object

### Field Summary

Fields
`static org.osgi.service.http.runtime.dto.ServletContextDTO[]` `CONTEXT_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedServletContextDTO[]` `CONTEXT_FAILURE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FilterDTO[]` `EMPTY_FILTER_DTO_ARRAY`
`static long[]` `EMPTY_LONG_ARRAY`
`static String[]` `EMPTY_STRING_ARRAY`
`static org.osgi.service.http.runtime.dto.ErrorPageDTO[]` `ERROR_PAGE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedErrorPageDTO[]` `ERROR_PAGE_FAILURE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedFilterDTO[]` `FILTER_FAILURE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.ListenerDTO[]` `LISTENER_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedListenerDTO[]` `LISTENER_FAILURE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.ResourceDTO[]` `RESOURCE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedResourceDTO[]` `RESOURCE_FAILURE_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.ServletDTO[]` `SERVLET_DTO_ARRAY`
`static org.osgi.service.http.runtime.dto.FailedServletDTO[]` `SERVLET_FAILURE_DTO_ARRAY`

### Constructor Summary

Constructors
`BuilderConstants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <V> V[]` `copyWithDefault​(V[] array, V[] defaultArray)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_STRING_ARRAY

    public static final String[] EMPTY_STRING_ARRAY

#### EMPTY_LONG_ARRAY

    public static final long[] EMPTY_LONG_ARRAY

#### CONTEXT_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.ServletContextDTO[] CONTEXT_DTO_ARRAY

#### SERVLET_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.ServletDTO[] SERVLET_DTO_ARRAY

#### RESOURCE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.ResourceDTO[] RESOURCE_DTO_ARRAY

#### EMPTY_FILTER_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FilterDTO[] EMPTY_FILTER_DTO_ARRAY

#### ERROR_PAGE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.ErrorPageDTO[] ERROR_PAGE_DTO_ARRAY

#### LISTENER_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.ListenerDTO[] LISTENER_DTO_ARRAY

#### CONTEXT_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedServletContextDTO[] CONTEXT_FAILURE_DTO_ARRAY

#### SERVLET_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedServletDTO[] SERVLET_FAILURE_DTO_ARRAY

#### FILTER_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedFilterDTO[] FILTER_FAILURE_DTO_ARRAY

#### RESOURCE_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedResourceDTO[] RESOURCE_FAILURE_DTO_ARRAY

#### ERROR_PAGE_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedErrorPageDTO[] ERROR_PAGE_FAILURE_DTO_ARRAY

#### LISTENER_FAILURE_DTO_ARRAY

    public static final org.osgi.service.http.runtime.dto.FailedListenerDTO[] LISTENER_FAILURE_DTO_ARRAY

### Constructor Detail

#### BuilderConstants

    public BuilderConstants()

### Method Detail

#### copyWithDefault

    public static <V> V[] copyWithDefault​(V[] array,
                                          V[] defaultArray)